<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getCompanyPositions](./bitburner.singularity.getcompanypositions.md)

## Singularity.getCompanyPositions() method

Get List of Company Positions.

**Signature:**

```typescript
getCompanyPositions(companyName: CompanyName): JobName[];
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

companyName


</td><td>

[CompanyName](./bitburner.companyname.md)


</td><td>

Name of company to get the position list for. Must be an exact match.


</td></tr>
</tbody></table>

**Returns:**

[JobName](./bitburner.jobname.md)<!-- -->\[\]

The position list if the company name is valid.

## Remarks

RAM cost: 2 GB \* 16/4/1

This function will return a list of positions at a specific company.

This function will return the position list if the company name is valid.

## Example


```js
const companyName = "Noodle Bar";
const jobList = ns.singularity.getCompanyPositions(companyName);
```

